#include <iostream>
#include <vector>
using namespace std;

int main()
{
    int a0,a1;
    int n; cin>>n;
    vector<vector<int> > b(n);
    cin>>a0;
    b[0].push_back(0);
    for(int i=1;i<n;i++)
    {
        cin>>a1;
        if(a1<a0) b[0].push_back(b[0][i-1]+1);
        else b[0].push_back(b[0][i-1]);

        a0=a1;
    }
    for(int i=1;i<n;i++)
    {
        for(int j=0;j<i+1;j++)
            b[i].push_back(0);
        for(int j=i+1;j<n;j++)
        {
            b[i].push_back(b[i-1][j]-(b[i-1][j-1]-b[i][j-1]));
        }
    }
    int q; cin>>q;
    for(int i=0;i<q;i++)
    {
        int l,r;
        cin>>l>>r;
        if(b[l-1][r-1]>=2) cout<<"NE"<<endl;
        else cout<<"DA"<<endl;
    }
    return 0;
}